<?xml version="1.0"?>
<!DOCTYPE faces-config PUBLIC "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN"
                              "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">

<faces-config>
    <application>
        
    </application>
    <factory>
       <faces-context-factory>org.ajax4jsf.portlet.context.FacesContextFactoryImpl</faces-context-factory>
    </factory>

 <managed-bean>
  <managed-bean-name>ajaxContext</managed-bean-name>
  <managed-bean-class>org.ajax4jsf.portlet.PortletAjaxContext</managed-bean-class>
  <managed-bean-scope>request</managed-bean-scope>
 </managed-bean>

  <render-kit>
    
    <renderer>
      <description>
        override the viewroot
      </description>
      <component-family>javax.faces.ViewRoot</component-family>
      <renderer-type>javax.faces.ViewRoot</renderer-type>
      <renderer-class>org.ajax4jsf.portlet.renderkit.portlet.PortletAjaxViewRootRenderer</renderer-class>
    </renderer>
  </render-kit>
    
</faces-config>
